Bug 536137 - (RHQ-51) RFE: add timeline view package changes
RFE: add timeline view package changes
Status: NEW
Product: RHQ Project
Classification: Other
Component: Content (Show other bugs)
0.1
All All
low Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
http://jira.rhq-project.org/browse/RH...
: FutureFeature
Depends On: RHQ-56
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-07 16:52 EST by Greg Hinkle
Modified: 2015-02-01 18:29 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Greg Hinkle 2008-03-07 16:52:00 EST
For the timeline viewer, i'd like a composite query for package changes on a resource. This is going to have to aggregate the installed packages history into a view that models removal of one version and installation of a new version as just a change in version. (or at least, that'd be the nice way to visualize this)

Then I could have icons for packages installed, packages upgraded/downgraded, and packages removed.
Comment 1 Jason Dobies 2008-03-10 12:56:02 EDT
The cleanest way to do the package event query would be for the update information to already exist in the database. RHQ-56 addresses that possibility.
Comment 2 Jason Dobies 2008-03-25 16:07:44 EDT
Based on the work required, this is being postponed.
Comment 3 Red Hat Bugzilla 2009-11-10 16:10:59 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-51

Note You need to log in before you can comment on or make changes to this bug.